using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.CTdB
namespace FAS_LIB
{
	public class scHolidays
	{
		private int _HolidayId;

		private string _HolidayDesc;

		private DateTime _HolidayDate;

		private int _HolidayGroup;

		private int _HolidayAdjDays;

		public int HolidayAdjDays
		{
			get
			{
				return this._HolidayAdjDays;
			}
			set
			{
				this._HolidayAdjDays = value;
			}
		}

		public DateTime HolidayDate
		{
			get
			{
				return this._HolidayDate;
			}
			set
			{
				this._HolidayDate = value;
			}
		}

		public string HolidayDesc
		{
			get
			{
				return this._HolidayDesc;
			}
			set
			{
				this._HolidayDesc = value;
			}
		}

		public int HolidayGroup
		{
			get
			{
				return this._HolidayGroup;
			}
			set
			{
				this._HolidayGroup = value;
			}
		}

		public int HolidayId
		{
			get
			{
				return this._HolidayId;
			}
			set
			{
				this._HolidayId = value;
			}
		}

		public scHolidays()
		{
			this._HolidayId = 0;
			this._HolidayDesc = "";
			this._HolidayDate = Conversions.ToDate("01/01/1901");
			this._HolidayGroup = 0;
			this._HolidayAdjDays = 0;
		}
	}
}